Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_SFP_Frame_State Class Reference

`#include <sfp.h>`

Collaboration diagram for TAO_SFP_Frame_State:

[legend]
List of all members.

## Public Methods
| TAO_SFP_Frame_State (void)
CORBA::Boolean | is_complete (void)
int | reset (void)
## Public Attributes
TAO_InputCDR | cdr
flowProtocol::frameHeader | frame_header_
flowProtocol::fragment | fragment_
flowProtocol::frame | frame_
CORBA::Boolean | more_fragments_
ACE_Message_Block * | frame_block_
ACE_Message_Block | static_frame_
TAO_SFP_Fragment_Table_Map | fragment_table_map_

## Constructor & Destructor Documentation

TAO_SFP_Frame_State::TAO_SFP_Frame_State | ( | void |  | ) |

## Member Function Documentation

CORBA::Boolean TAO_SFP_Frame_State::is_complete | ( | void |  | ) |

int TAO_SFP_Frame_State::reset | ( | void |  | ) |

## Member Data Documentation

TAO_InputCDR TAO_SFP_Frame_State::cdr

flowProtocol::fragment TAO_SFP_Frame_State::fragment_

TAO_SFP_Fragment_Table_Map TAO_SFP_Frame_State::fragment_table_map_

flowProtocol::frame TAO_SFP_Frame_State::frame_

ACE_Message_Block* TAO_SFP_Frame_State::frame_block_

flowProtocol::frameHeader TAO_SFP_Frame_State::frame_header_

CORBA::Boolean TAO_SFP_Frame_State::more_fragments_

ACE_Message_Block TAO_SFP_Frame_State::static_frame_

The documentation for this class was generated from the following files:

- sfp.h
- sfp.cpp